*{
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    font-family:'poppins',sans-serif;
}
.container{
    width: 100%;
    min-height:100vh;
    background-color: #fe0096;
background-image: linear-gradient(225deg, #fe0096 0%, #784BA0 50%, #2B86C5 100%);

    padding: 10px;    
}
.todoapp{
    width: 100%;
    max-width: 550px;
    background-color:white;
    margin:100px auto 20px;
    padding: 40px 50px 70px;
    border-radius:10px ;
}
.todoapp h2{
    color:#002765;
    display: flex;
    align-items: center;
    justify-content:center;
    margin-bottom: 20px;
}
.todoapp h2 img{
    width: 60px;
    margin-left:20px;
}
.row{
    display: flex;
    align-items: center;
    justify-content:space-around;
    background-color: #edeef0;
    border-radius: 30px;
    padding-left:20px;
    margin-bottom: 25px;
}
input{
    flex: 1;
    border: none;
    outline: none;
    background: transparent;
    padding: 10px;
    font-weight:20px ;
}
button{
    border:none;
    outline: none;
    padding: 16px 50px;
    background: #ff5945;
    border-radius:40px;
    color: #fff;
    font-size: 14px;
    cursor: pointer;
}
ul li{
    list-style: none;
    font-size: 20px;
    padding: 12px 8px 12px 50px;
    user-select: none;
    cursor: pointer;
    position: relative;
}
ul li::before{
    content: '';
    position: absolute;
    height: 28px;
    width: 28px;
    border-radius: 50%;
    background-image: url(unchecked.png);
    background-size: cover;
    background-position: center;
    top: 12px;
    left: 8px;
}
ul li.checked{
    color: #555;
    text-decoration: line-through;
}
ul li.checked::before{
    background-image: url(checked.png);
}
ul li span{
    position: absolute;
    right: 0;
    bottom: 3px;
    width: 40px;
    height: 40px;
    padding:6px 5px 10px 5px;
    color:#555 ;
    text-align: center;
    border-radius:50%;
}
ul li span:hover{
    background:#edeef0;
}
@media only screen and (max-width:700px){
    .todoapp{
        width: 100%;
        max-width: 400px;
        background-color:white;
        margin:50px auto 10px;
        padding: 20px 25px 35px;
        border-radius:5px ;
    }
    .row{
        display: flex;
    align-items: center;
    justify-content:space-around;
    background-color: #edeef0;
    border-radius: 30px;
    padding-left:30px;
    margin-bottom: 25px;
    }
}